Debian Bug report logs - #593050
eucalyptus: FTBFS: Nonexistent build-dependency: libhibernate-entitymanager-java

version graph

Package: src:eucalyptus; Maintainer for src:eucalyptus is (unknown);

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sun, 15 Aug 2010 08:01:49 UTC

Severity: serious

Tags: sid, squeeze, wheezy

Found in version eucalyptus/1.6.2-2

Fixed in version 1.6.2-2+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>:
Bug#593050; Package src:eucalyptus. (Sun, 15 Aug 2010 08:01:52 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>. (Sun, 15 Aug 2010 08:01:52 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: eucalyptus: FTBFS: Nonexistent build-dependency: libhibernate-entitymanager-java
Date: Sun, 15 Aug 2010 09:47:01 +0200
Source: eucalyptus
Version: 1.6.2-2
Severity: serious
Tags: squeeze sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20100815 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> ** Using build dependencies supplied by package:
> Build-Depends: cdbs, debhelper (>= 7), libaxis2c-dev, librampart0, librampart-dev, default-jdk, ant, libvirt-dev, libcurl4-gnutls-dev, libssl-dev, ant-optional, zlib1g-dev, pkg-config, libbackport-util-concurrent-java, libwsdl4j-java, libhsqldb-java, libaxiom-java, libbcprov-java, libcap-dev, libcommons-io-java, libcommons-fileupload-java, libcommons-httpclient-java, libcommons-lang-java, libcommons-pool-java (>= 1.4), libproxool-java, libdnsjava-java, libjibx1.1-java, libclean-crypto-java, libmule-java-2.0, libgnumail-java, libgeronimo-j2ee-connector-1.5-spec-java, libgeronimo-jpa-3.0-spec-java, libgoogle-collections-java, groovy (>= 1.6.4), libgwt-user-java, libjaxp1.3-java, libjetty-java | libjetty6-java, libjetty-extra-java | libjetty6-java, libjson-java, junit, liblog4j1.2-java, libnetty-java, libservlet2.5-java, libwss4j-java, libxalan2-java, libxerces2-java, libxml-security-java (>= 1.4.2-1ubuntu1), libgwt-dev-java, libecj-java, libantlr-java, libspring-beans-2.5-java, libspring-context-support-2.5-java, libspring-context-2.5-java, libspring-core-2.5-java, libspring-web-2.5-java, libhibernate-annotations-java, libhibernate-commons-annotations-java, libhibernate-entitymanager-java, libhibernate3-java, libehcache-java
> 
> ┌──────────────────────────────────────────────────────────────────────────────┐
> │ Install build dependencies (internal resolver)                               │
> └──────────────────────────────────────────────────────────────────────────────┘
> 
> Checking for already installed source dependencies...
> cdbs: missing
> debhelper: missing
> Using default version 8.0.0
> libaxis2c-dev: missing
> librampart0: missing
> librampart-dev: missing
> default-jdk: missing
> ant: missing
> libvirt-dev: missing
> libcurl4-gnutls-dev: missing
> libssl-dev: missing
> ant-optional: missing
> zlib1g-dev: missing
> pkg-config: missing
> libbackport-util-concurrent-java: missing
> libwsdl4j-java: missing
> libhsqldb-java: missing
> libaxiom-java: missing
> libbcprov-java: missing
> libcap-dev: missing
> libcommons-io-java: missing
> libcommons-fileupload-java: missing
> libcommons-httpclient-java: missing
> libcommons-lang-java: missing
> libcommons-pool-java: missing
> Using default version 1.5.4-2
> libproxool-java: missing
> libdnsjava-java: missing
> libjibx1.1-java: missing
> libclean-crypto-java: missing
> libmule-java-2.0: missing
> libgnumail-java: missing
> libgeronimo-j2ee-connector-1.5-spec-java: missing
> libgeronimo-jpa-3.0-spec-java: missing
> libgoogle-collections-java: missing
> groovy: missing
> Using default version 1.7.4-1
> libgwt-user-java: missing
> libjaxp1.3-java: missing
> libjetty-java: missing
> libjetty6-java: missing
> libjetty-extra-java: missing
> libjetty6-java: missing
> libjson-java: missing
> junit: missing
> liblog4j1.2-java: missing
> libnetty-java: missing
> libservlet2.5-java: missing
> libwss4j-java: missing
> libxalan2-java: missing
> libxerces2-java: missing
> libxml-security-java: missing
> Using default version 1.4.3-2
> libgwt-dev-java: missing
> libecj-java: missing
> libantlr-java: missing
> libspring-beans-2.5-java: missing
> libspring-context-support-2.5-java: missing
> libspring-context-2.5-java: missing
> libspring-core-2.5-java: missing
> libspring-web-2.5-java: missing
> libhibernate-annotations-java: missing
> libhibernate-commons-annotations-java: missing
> libhibernate-entitymanager-java: missing
> libhibernate3-java: missing
> libehcache-java: missing
> Checking for source dependency conflicts...
> E: Package libhibernate-entitymanager-java has no installation candidate

The full build log is available from:
   http://people.debian.org/~lucas/logs/2010/08/15/eucalyptus_1.6.2-2_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.

-- 
| Lucas Nussbaum
| lucas@lucas-nussbaum.net   http://www.lucas-nussbaum.net/ |
| jabber: lucas@nussbaum.fr             GPG: 1024D/023B3F4F |




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>:
Bug#593050; Package src:eucalyptus. (Fri, 17 Sep 2010 15:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Landaeta <miguel@miguel.cc>:
Extra info received and forwarded to list. Copy sent to Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>. (Fri, 17 Sep 2010 15:15:06 GMT) Full text and rfc822 format available.

Message #10 received at 593050@bugs.debian.org (full text, mbox):

From: Miguel Landaeta <miguel@miguel.cc>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: control@bugs.debian.org, 593050@bugs.debian.org
Subject: Re: eucalyptus: FTBFS: Nonexistent build-dependency: libhibernate-entitymanager-java
Date: Fri, 17 Sep 2010 10:42:19 -0430
On Sun, Aug 15, 2010 at 09:47:01AM +0200, Lucas Nussbaum wrote:
> Source: eucalyptus
> Version: 1.6.2-2
> Severity: serious
> Tags: squeeze sid
> User: debian-qa@lists.debian.org
> Usertags: qa-ftbfs-20100815 qa-ftbfs
> Justification: FTBFS on amd64
> 
> Hi,
> 
> During a rebuild of all packages in sid, your package failed to build on
> amd64.

severity 589582 serious
thanks

libhibernate3-java/3.5.4.Final-4 is in squeeze and sid, it
provides libhibernate-entitymanager-java (see #593254) so
this package doesn't FTBFS for this reason anymore. This bug
should be closed.

However, now eucalyptus FTBFS as I reported in #589582
so I'm raising the severity for that bug.

-- 
Miguel Landaeta, miguel at miguel.cc
secure email with PGP 0x7D8967E9 available at http://keyserver.pgp.com/
"Faith means not wanting to know what is true." -- Nietzsche




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>:
Bug#593050; Package src:eucalyptus. (Fri, 17 Sep 2010 15:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steffen Möller <steffen_moeller@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Eucalyptus Maintainers <pkg-eucalyptus-maintainers@lists.alioth.debian.org>. (Fri, 17 Sep 2010 15:57:02 GMT) Full text and rfc822 format available.

Message #15 received at 593050@bugs.debian.org (full text, mbox):

From: Steffen Möller <steffen_moeller@gmx.de>
To: 593050@bugs.debian.org, Chris Grzegorczyk <grze@eucalyptus.com>
Cc: Thierry Carrez <thierry.carrez@ubuntu.com>
Subject: Re: [pkg-eucalyptus-maintainers] Bug#593050: eucalyptus: FTBFS: Nonexistent build-dependency: libhibernate-entitymanager-java
Date: Fri, 17 Sep 2010 17:55:26 +0200
Hello,

On 09/17/2010 05:12 PM, Miguel Landaeta wrote:
> On Sun, Aug 15, 2010 at 09:47:01AM +0200, Lucas Nussbaum wrote:
>   
>> Source: eucalyptus
>> Version: 1.6.2-2
>> Severity: serious
>> Tags: squeeze sid
>> User: debian-qa@lists.debian.org
>> Usertags: qa-ftbfs-20100815 qa-ftbfs
>> Justification: FTBFS on amd64
>>
>> Hi,
>>
>> During a rebuild of all packages in sid, your package failed to build on
>> amd64.
>>     
> severity 589582 serious
>   
severity 589582 mightily annoying
> libhibernate3-java/3.5.4.Final-4 is in squeeze and sid, it
> provides libhibernate-entitymanager-java (see #593254) so
> this package doesn't FTBFS for this reason anymore. This bug
> should be closed.
>
> However, now eucalyptus FTBFS as I reported in #589582
> so I'm raising the severity for that bug.
>   
you are right to do so. Eucalyptus was broken by this update,
i.e. it is not only FTBSing but brought to a complete standstil.
If not updated, then Eucalyptus has to be dropped from testing.

The Eucalyptus developers have released version 2.0 a while
back and wanted to have long gone towards a respective upload.
As an alternative I had prepared a

libhibernate3,3-java

package already. But it would require a rebuilt Ecalyptus suite, too, and 
if the update 2.0 happens then the 3.3 version is obsolete, so I was not overly
motivated to go for that either. The Eucalyptus developers kindly offer Debian
packages from their site, so we don't do too much harm to us.

Many greetings

Steffen







Added tag(s) wheezy. Request was from Kurt Roeckx <kurt@roeckx.be> to control@bugs.debian.org. (Wed, 16 Feb 2011 19:04:32 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sat, 17 Dec 2011 01:27:23 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 17 Dec 2011 01:27:23 GMT) Full text and rfc822 format available.

Message #22 received at 593050-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 584115-done@bugs.debian.org,584116-done@bugs.debian.org,584118-done@bugs.debian.org,589582-done@bugs.debian.org,589815-done@bugs.debian.org,593050-done@bugs.debian.org,593331-done@bugs.debian.org,595873-done@bugs.debian.org,618110-done@bugs.debian.org,638399-done@bugs.debian.org,
Cc: eucalyptus@packages.debian.org, eucalyptus@packages.qa.debian.org
Subject: Bug#652376: Removed package(s) from unstable
Date: Sat, 17 Dec 2011 01:25:25 +0000
Version: 1.6.2-2+rm

Dear submitter,

as the package eucalyptus has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/652376

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Luca Falavigna (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 14 Jan 2012 07:38:35 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:11:14 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.